Index: trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist_lobster
===================================================================
--- trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist_lobster	(revision 1292)
+++ trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist_lobster	(revision 1293)
@@ -128,11 +128,28 @@
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&namlobdbi     !   biological diagnostics trends         "key_trc_diabio"
+&namlobdbi     !   biological diagnostics trends     
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   nwritebio    =   360    !  time step frequency for biological outputs
+!                !  3D bio diagnostics   units : mmole/m3/s   ("key_trc_diabio")
+!                !  2D bio diagnostics   units : mmole/m2/s   ("key_trdmld_trc")
+
+   nwritebio    =   4320    !  time step frequency for biological outputs
 !
-!              !    name   !       title of the field        !     units   !
-   lobdiabio(1)  = 'TNO3PHY' , 'New primary production        ',  'mmole/m3/s'
-   lobdiabio(2)  = 'TNH4PHY' , 'Regenerated primary production',  'mmole/m3/s'
-   lobdiabio(3)  = 'TPHYDOM' , 'Grazing                       ',  'mmole/m3/s'
+!                !  name    !       title of the field      !     units      !
+   lobdiabio(1)  = 'NO3PHY' , 'Flux from NO3 to PHY          ',  'mmole/m3/s'
+   lobdiabio(2)  = 'NH4PHY' , 'Flux from NH4 to PHY          ',  'mmole/m3/s'
+   lobdiabio(3)  = 'PHYNH4' , 'Flux from PHY to NH4          ',  'mmole/m3/s'
+   lobdiabio(4)  = 'PHYDOM' , 'Flux from PHY to DOM          ',  'mmole/m3/s'
+   lobdiabio(5)  = 'PHYZOO' , 'Flux from PHY to ZOO          ',  'mmole/m3/s'
+   lobdiabio(6)  = 'PHYDET' , 'Flux from PHY to DET          ',  'mmole/m3/s'
+   lobdiabio(7)  = 'DETZOO' , 'Flux from DET to ZOO          ',  'mmole/m3/s'
+   lobdiabio(8)  = 'DETSED' , 'Flux from DET to SED          ',  'mmole/m3/s'
+   lobdiabio(9)  = 'ZOODET' , 'Flux from ZOO to DET          ',  'mmole/m3/s'
+   lobdiabio(10)  = 'ZOOBOD' , 'Zooplankton closure          ',  'mmole/m3/s'
+   lobdiabio(11)  = 'ZOONH4' , 'Flux from ZOO to NH4         ',  'mmole/m3/s'
+   lobdiabio(12)  = 'ZOODOM' , 'Flux from ZOO to DOM         ',  'mmole/m3/s'
+   lobdiabio(13)  = 'NH4NO3' , 'Flux from NH4 to NO3         ',  'mmole/m3/s'
+   lobdiabio(14)  = 'DOMNH4' , 'Flux from DOM to NH4         ',  'mmole/m3/s'
+   lobdiabio(15)  = 'DETNH4' , 'Flux from DET to NH4         ',  'mmole/m3/s'
+   lobdiabio(16)  = 'DETDOM' , 'Flux from DET to DOM         ',  'mmole/m3/s'
+   lobdiabio(17)  = 'SEDNO3' , 'NO3 remineralization from SED',  'mmole/m3/s'
 /
Index: trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist_top
===================================================================
--- trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist_top	(revision 1292)
+++ trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist_top	(revision 1293)
@@ -106,3 +106,2 @@
    luttrd(6)  =   .true.
 /
-
Index: trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make
===================================================================
--- trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make	(revision 1292)
+++ trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make	(revision 1293)
@@ -141,7 +141,5 @@
      key_orca_r2 \
      key_orca_r4 \
-     key_partial_steps \
      key_pisces \
-     key_s_coord \
      key_sed \
      key_sed_off \
@@ -6224,9 +6222,8 @@
 	$(MODEL_LIB)(trdmld_oce.o) \
 	$(MODEL_LIB)(trdmld_rst.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
 	$(MODEL_LIB)(trdvor.o) \
 	$(MODEL_LIB)(trdvor_oce.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(wzvmod.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
@@ -6240,4 +6237,5 @@
 	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zpshde.o) \
+	$(MODEL_LIB)(zpshde_trc.o) \
 	agrif_opa_sponge.F90 \
 	bdy_oce.F90 \
@@ -6345,9 +6343,8 @@
 	trdmld_oce.F90 \
 	trdmld_rst.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
 	trdmod_oce.F90 \
 	trdvor.F90 \
 	trdvor_oce.F90 \
+	trp_trc.F90 \
 	wzvmod.F90 \
 	zdf_oce.F90 \
@@ -6361,4 +6358,5 @@
 	zdftke2.F90 \
 	zpshde.F90 \
+	zpshde_trc.F90 \
 	$(MODEL_LIB)(bdy_par.o) \
 	$(MODEL_LIB)(bdyini.o) \
@@ -13122,5 +13120,4 @@
 $(MODEL_LIB)(trcini.o) :	\
 	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
@@ -13139,5 +13136,4 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -13163,5 +13159,4 @@
 	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
@@ -13169,5 +13164,4 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	daymod.F90 \
-	dianam.F90 \
 	dom_oce.F90 \
 	dynspg_oce.F90 \
@@ -13186,5 +13180,4 @@
 	par_trc.F90 \
 	phycst.F90 \
-	prtctl.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -13210,5 +13203,4 @@
 	trctrp_lec.F90 \
 	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
 	trp_trc.F90 \
 	zdf_oce.F90 \
@@ -13229,6 +13221,6 @@
 	$(MODEL_LIB)(trclec.o) \
 	$(MODEL_LIB)(trcrst.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zpshde_trc.o) \
 	in_out_manager.F90 \
 	lib_mpp.F90 \
@@ -13245,6 +13237,6 @@
 	trclec.F90 \
 	trcrst.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
+	trp_trc.F90 \
+	zpshde_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -14573,4 +14565,5 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
@@ -14586,4 +14579,6 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -14601,4 +14596,5 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
+	iom.F90 \
 	iom_def.F90 \
 	iom_ioipsl.F90 \
@@ -14614,4 +14610,6 @@
 	par_trc.F90 \
 	phycst.F90 \
+	prtctl.F90 \
+	restart.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -14625,4 +14623,5 @@
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -14635,4 +14634,5 @@
 	$(MODEL_LIB)(trcsms_my_trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	daymod.F90 \
 	iom.F90 \
 	lib_mpp.F90 \
Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 1292)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 1293)
@@ -10,4 +10,5 @@
 !!              9  - parameters for Kriest parameterization   (nampiskrp, nampiskrs)
 !!              10 - additional 2D/3D  diagnostics            (nampisdia)
+!!              11 - Damping                                  (nampisdmp)
 !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
@@ -114,7 +115,7 @@
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    bdustfer   =  .true.   ! boolean for dust input from the atmosphere
-   briver     =  .true.  ! boolean for river input of nutrients
-   bndepo     =  .true.  ! boolean for atmospheric deposition of N
-   bsedinput  =  .true.  ! boolean for Fe input from sediments
+   briver     =  .true.   ! boolean for river input of nutrients
+   bndepo     =  .true.   ! boolean for atmospheric deposition of N
+   bsedinput  =  .true.   ! boolean for Fe input from sediments
    sedfeinput =  1E-9     ! Coastal release of Iron
    dustsolub  =  0.014    ! Solubility of the dust
@@ -170,2 +171,7 @@
    pisdia3d(11) = 'PFeD     ' , 'Primary production of diatoms iron',  'molFe/m3/s   '
 /
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisdmp     !  Damping 
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   ln_pisdmp    =  .true.     !  Relaxation fo some tracers to a mean value
+/
Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_top
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_top	(revision 1292)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_top	(revision 1293)
@@ -13,5 +13,5 @@
    ndttrc      =  1        !  time step frequency for passive tracers      
    nwritetrc   =  5475     !  time step frequency for tracer outputs
-   lrsttr      = .true.    !  start from a restart file (T) or not (F)
+   lrsttr      = .true.   !  start from a restart file (T) or not (F)
    nrsttr      =   0       !  restart control = 0 initial time step is not compared to the restart file value
                            !                  = 1 do not use the value in the restart file
@@ -142,3 +142,2 @@
    luttrd(24) =   .false.
 /
-
Index: trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1292)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1293)
@@ -141,7 +141,5 @@
      key_orca_r2 \
      key_orca_r4 \
-     key_partial_steps \
      key_pisces \
-     key_s_coord \
      key_sed \
      key_sed_off \
@@ -6544,9 +6542,8 @@
 	$(MODEL_LIB)(trdmld_oce.o) \
 	$(MODEL_LIB)(trdmld_rst.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
 	$(MODEL_LIB)(trdvor.o) \
 	$(MODEL_LIB)(trdvor_oce.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(wzvmod.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
@@ -6560,4 +6557,5 @@
 	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zpshde.o) \
+	$(MODEL_LIB)(zpshde_trc.o) \
 	agrif_opa_sponge.F90 \
 	bdy_oce.F90 \
@@ -6665,9 +6663,8 @@
 	trdmld_oce.F90 \
 	trdmld_rst.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
 	trdmod_oce.F90 \
 	trdvor.F90 \
 	trdvor_oce.F90 \
+	trp_trc.F90 \
 	wzvmod.F90 \
 	zdf_oce.F90 \
@@ -6681,4 +6678,5 @@
 	zdftke2.F90 \
 	zpshde.F90 \
+	zpshde_trc.F90 \
 	$(MODEL_LIB)(bdy_par.o) \
 	$(MODEL_LIB)(bdyini.o) \
@@ -13454,5 +13452,4 @@
 $(MODEL_LIB)(trcini.o) :	\
 	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
@@ -13471,5 +13468,4 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -13495,5 +13491,4 @@
 	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
@@ -13501,5 +13496,4 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	daymod.F90 \
-	dianam.F90 \
 	dom_oce.F90 \
 	dynspg_oce.F90 \
@@ -13518,5 +13512,4 @@
 	par_trc.F90 \
 	phycst.F90 \
-	prtctl.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -13542,5 +13535,4 @@
 	trctrp_lec.F90 \
 	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
 	trp_trc.F90 \
 	zdf_oce.F90 \
@@ -13561,6 +13553,6 @@
 	$(MODEL_LIB)(trclec.o) \
 	$(MODEL_LIB)(trcrst.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zpshde_trc.o) \
 	in_out_manager.F90 \
 	lib_mpp.F90 \
@@ -13577,6 +13569,6 @@
 	trclec.F90 \
 	trcrst.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
+	trp_trc.F90 \
+	zpshde_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -14909,4 +14901,5 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
@@ -14922,4 +14915,6 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -14937,4 +14932,5 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
+	iom.F90 \
 	iom_def.F90 \
 	iom_ioipsl.F90 \
@@ -14950,4 +14946,6 @@
 	par_trc.F90 \
 	phycst.F90 \
+	prtctl.F90 \
+	restart.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -14961,4 +14959,5 @@
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -14971,4 +14970,5 @@
 	$(MODEL_LIB)(trcsms_my_trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	daymod.F90 \
 	iom.F90 \
 	lib_mpp.F90 \
Index: trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1292)
+++ trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1293)
@@ -113,7 +113,5 @@
      key_orca_r2 \
      key_orca_r4 \
-     key_partial_steps \
      key_pisces \
-     key_s_coord \
      key_sed \
      key_sed_off \
@@ -142,5 +140,6 @@
      key_zdfddm \
      key_zdfkpp \
-     key_zdftke 
+     key_zdftke \
+     key_zdftke2 
 # .o file list in the library
 LIB_OBJ = \
@@ -468,9 +467,13 @@
 	ctlopn.f90
 $(MODEL_LIB)(daymod.o) :	\
-	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	in_out_manager.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -479,7 +482,9 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(phycst.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	phycst.F90 \
+	$(MODEL_LIB)(prtctl.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	phycst.F90 \
+	prtctl.F90 \
 	daymod.F90
 $(MODEL_LIB)(dianam.o) :	\
@@ -490,4 +495,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -496,4 +502,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	prtctl.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -524,4 +531,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -534,4 +542,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	prtctl.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -773,4 +782,5 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	KEY_CPP \
 	in_out_manager.F90
 $(MODEL_LIB)(iom.o) :	\
@@ -885,4 +895,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -891,4 +902,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	prtctl.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1094,5 +1106,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trcini.o) \
-	$(MODEL_LIB)(zpshde.o) \
 	daymod.F90 \
 	dom_oce.F90 \
@@ -1111,5 +1122,4 @@
 	traqsr.F90 \
 	trcini.F90 \
-	zpshde.F90 \
 	$(MODEL_LIB)(opa.o) \
 	opa.F90 \
@@ -1247,9 +1257,9 @@
 	$(MODEL_LIB)(trcrst.o) \
 	$(MODEL_LIB)(trcstp.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zpshde_trc.o) \
 	daymod.F90 \
 	dom_oce.F90 \
@@ -1290,9 +1300,9 @@
 	trcrst.F90 \
 	trcstp.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	trp_trc.F90 \
+	zdf_oce.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zpshde_trc.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1311,5 +1321,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trcini.o) \
-	$(MODEL_LIB)(zpshde.o) \
 	daymod.F90 \
 	dom_oce.F90 \
@@ -1328,6 +1337,4 @@
 	traqsr.F90 \
 	trcini.F90 \
-	zpshde.F90 \
-	KEY_CPP \
 	opa.F90
 $(MODEL_LIB)(p4zbio.o) :	\
@@ -2382,4 +2389,5 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
@@ -2394,4 +2402,5 @@
 	par_trc.F90 \
 	phycst.F90 \
+	prtctl.F90 \
 	prtctl_trc.F90 \
 	sms_pisces.F90 \
@@ -2925,4 +2934,5 @@
 	sol_oce.F90
 $(MODEL_LIB)(step.o) :	\
+	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2962,4 +2972,5 @@
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
+	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -4375,5 +4386,4 @@
 $(MODEL_LIB)(trcini.o) :	\
 	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
@@ -4392,5 +4402,4 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -4416,5 +4425,4 @@
 	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
@@ -4422,5 +4430,4 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	daymod.F90 \
-	dianam.F90 \
 	dom_oce.F90 \
 	dynspg_oce.F90 \
@@ -4439,5 +4446,4 @@
 	par_trc.F90 \
 	phycst.F90 \
-	prtctl.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -4463,5 +4469,4 @@
 	trctrp_lec.F90 \
 	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
 	trp_trc.F90 \
 	zdf_oce.F90 \
@@ -4482,6 +4487,6 @@
 	$(MODEL_LIB)(trclec.o) \
 	$(MODEL_LIB)(trcrst.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zpshde_trc.o) \
 	in_out_manager.F90 \
 	lib_mpp.F90 \
@@ -4498,6 +4503,6 @@
 	trclec.F90 \
 	trcrst.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
+	trp_trc.F90 \
+	zpshde_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -5839,4 +5844,5 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -5867,4 +5873,5 @@
 	par_trc.F90 \
 	phycst.F90 \
+	prtctl.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -5878,4 +5885,5 @@
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -5888,4 +5896,5 @@
 	$(MODEL_LIB)(trcsms_my_trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	daymod.F90 \
 	iom.F90 \
 	lib_mpp.F90 \