Index: trunk/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 1249)
+++ trunk/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 1308)
@@ -356,9 +356,9 @@
       !
       ! non solar sensitivity mandatory for ice model
-      IF( TRIM( cn_rcv_dqnsdt ) == 'none' .and. k_ice /= 0 ) &
-            CALL ctl_stop( 'sbc_cpl_init: cn_rcv_dqnsdt must be coupled in namsbc_cpl namelist' )
+      IF( TRIM( cn_rcv_dqnsdt ) == 'none' .AND. k_ice /= 0 ) &
+         CALL ctl_stop( 'sbc_cpl_init: cn_rcv_dqnsdt must be coupled in namsbc_cpl namelist' )
       ! non solar sensitivity mandatory for mixed oce-ice solar radiation coupling technique
-      IF( TRIM( cn_rcv_dqnsdt ) == 'none' .and. TRIM( cn_rcv_qns ) == 'mixed oce-ice' ) &
-            CALL ctl_stop( 'sbc_cpl_init: namsbc_cpl namelist mismatch between cn_rcv_qns and cn_rcv_dqnsdt' )
+      IF( TRIM( cn_rcv_dqnsdt ) == 'none' .AND. TRIM( cn_rcv_qns ) == 'mixed oce-ice' ) &
+         CALL ctl_stop( 'sbc_cpl_init: namsbc_cpl namelist mismatch between cn_rcv_qns and cn_rcv_dqnsdt' )
       !                                                      ! ------------------------- !
       !                                                      !    Ice Qsr penetration    !   
@@ -395,4 +395,5 @@
       CASE( 'weighted oce and ice' )   ;   ssnd( (/jps_toce, jps_tice/) )%laction = .TRUE.
       CASE( 'mixed oce-ice'        )   ;   ssnd(   jps_tmix             )%laction = .TRUE.
+      CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of cn_snd_temperature' )
       END SELECT
      
@@ -406,4 +407,5 @@
       CASE( 'weighted ice'  )   ;   ssnd(jps_albice)%laction = .TRUE.
       CASE( 'mixed oce-ice' )   ;   ssnd(jps_albmix)%laction = .TRUE.
+      CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of cn_snd_albedo' )
       END SELECT
       !
@@ -412,7 +414,7 @@
       !     2. receiving mixed oce-ice solar radiation 
       IF ( TRIM ( cn_snd_albedo ) == 'mixed oce-ice' .OR. TRIM ( cn_rcv_qsr ) == 'mixed oce-ice' ) THEN
-        CALL albedo_oce( zaos, zacs )
-        ! Due to lack of information on nebulosity : mean clear/overcast sky
-        albedo_oce_mix(:,:) = ( zacs(:,:) + zaos(:,:) ) * 0.5
+         CALL albedo_oce( zaos, zacs )
+         ! Due to lack of information on nebulosity : mean clear/overcast sky
+         albedo_oce_mix(:,:) = ( zacs(:,:) + zaos(:,:) ) * 0.5
       ENDIF
 
@@ -446,4 +448,5 @@
       CASE( 'weighted oce and ice' )   !   nothing to do
       CASE( 'mixed oce-ice'        )   ;   ssnd(jps_ivx1:jps_ivz1)%laction = .FALSE.
+      CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of cn_snd_crt(1)' )
       END SELECT
 
@@ -597,6 +600,8 @@
          CASE( 'conservative' )
             emp(:,:) = frcv(:,:,jpr_tevp) - ( frcv(:,:,jpr_rain) + frcv(:,:,jpr_snow) )
-         CASE( 'ocean only', 'oce and ice' )
+         CASE( 'oce only', 'oce and ice' )
             emp(:,:) = frcv(:,:,jpr_oemp)
+         CASE default
+            CALL ctl_stop( 'sbc_cpl_rcv: wrong definition of cn_rcv_emp' )
          END SELECT
          !
@@ -1006,4 +1011,5 @@
                                            ztmp2(:,:) =   tn_ice(:,:)       *  fr_i(:,:)
       CASE( 'mixed oce-ice'        )   ;   ztmp1(:,:) = ( tn(:,:,1) + rt0 ) * zfr_l(:,:) + tn_ice(:,:) * fr_i(:,:)
+      CASE default                     ;   CALL ctl_stop( 'sbc_cpl_snd: wrong definition of cn_snd_temperature' )
       END SELECT
       IF( ssnd(jps_toce)%laction )   CALL cpl_prism_snd( jps_toce, isec, ztmp1, info )
@@ -1037,5 +1043,5 @@
                DO ji = fs_2, fs_jpim1   ! vector opt.
                   zotx1(ji,jj) = 0.5 * ( un(ji,jj,1) + un(ji-1,jj  ,1) )
-                  zoty1(ji,jj) = 0.5 * ( vn(ji,jj,1) + un(ji  ,jj-1,1) ) 
+                  zoty1(ji,jj) = 0.5 * ( vn(ji,jj,1) + vn(ji  ,jj-1,1) ) 
                END DO
             END DO
@@ -1045,7 +1051,7 @@
                   DO ji = fs_2, fs_jpim1   ! vector opt.
                      zotx1(ji,jj) = 0.5 * ( un       (ji,jj,1) + un       (ji-1,jj  ,1) ) * zfr_l(ji,jj)  
-                     zoty1(ji,jj) = 0.5 * ( vn       (ji,jj,1) + un       (ji  ,jj-1,1) ) * zfr_l(ji,jj)
-                     zitx1(ji,jj) = 0.5 * ( utaui_ice(ji,jj)   + utaui_ice(ji-1,jj  )   ) *  fr_i(ji,jj)
-                     zity1(ji,jj) = 0.5 * ( vtaui_ice(ji,jj)   + vtaui_ice(ji  ,jj-1)   ) *  fr_i(ji,jj)
+                     zoty1(ji,jj) = 0.5 * ( vn       (ji,jj,1) + vn       (ji  ,jj-1,1) ) * zfr_l(ji,jj)
+                     zitx1(ji,jj) = 0.5 * ( utaui_ice(ji,jj  ) + utaui_ice(ji-1,jj    ) ) *  fr_i(ji,jj)
+                     zity1(ji,jj) = 0.5 * ( vtaui_ice(ji,jj  ) + vtaui_ice(ji  ,jj-1  ) ) *  fr_i(ji,jj)
                   END DO
                END DO
@@ -1054,5 +1060,5 @@
                   DO ji = fs_2, fs_jpim1   ! vector opt.
                      zotx1(ji,jj) = 0.5  * ( un(ji,jj,1)          + un(ji-1,jj-1,1)    ) * zfr_l(ji,jj)  
-                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)          + un(ji  ,jj-1,1)    ) * zfr_l(ji,jj)  
+                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)          + vn(ji  ,jj-1,1)    ) * zfr_l(ji,jj)  
                      zitx1(ji,jj) = 0.25 * ( utaui_ice(ji+1,jj+1) + utaui_ice(ji,jj+1)   &
                         &                  + utaui_ice(ji+1,jj  ) + utaui_ice(ji,jj  ) ) * fr_i(ji,jj)
@@ -1066,10 +1072,10 @@
             IF( cice_grid == 'C' ) THEN      ! 'C'-grid ice velocity
                DO jj = 2, jpjm1
-                 DO ji = fs_2, fs_jpim1   ! vector opt.
-                   zotx1(ji,jj) = 0.5 * ( un       (ji,jj,1) + un       (ji-1,jj  ,1) ) * zfr_l(ji,jj) &
-                      + 0.5 * ( utaui_ice(ji,jj)   + utaui_ice(ji-1,jj  )   ) *  fr_i(ji,jj)
-                   zoty1(ji,jj) = 0.5 * ( vn       (ji,jj,1) + un       (ji  ,jj-1,1) ) * zfr_l(ji,jj) &
-                      + 0.5 * ( vtaui_ice(ji,jj)   + vtaui_ice(ji  ,jj-1)   ) *  fr_i(ji,jj)
-                 END DO
+                  DO ji = fs_2, fs_jpim1   ! vector opt.
+                     zotx1(ji,jj) = 0.5 * ( un       (ji,jj,1) + un       (ji-1,jj  ,1) ) * zfr_l(ji,jj) &
+                        &         + 0.5 * ( utaui_ice(ji,jj  ) + utaui_ice(ji-1,jj    ) ) *  fr_i(ji,jj)
+                     zoty1(ji,jj) = 0.5 * ( vn       (ji,jj,1) + vn       (ji  ,jj-1,1) ) * zfr_l(ji,jj) &
+                        &         + 0.5 * ( vtaui_ice(ji,jj  ) + vtaui_ice(ji  ,jj-1  ) ) *  fr_i(ji,jj)
+                  END DO
                END DO
             ELSE                            ! 'B'-grid ice velocity
@@ -1077,9 +1083,9 @@
                   DO ji = fs_2, fs_jpim1   ! vector opt.
                      zotx1(ji,jj) = 0.5  * ( un(ji,jj,1)          + un(ji-1,jj-1,1)    ) * zfr_l(ji,jj) &   
-                       + 0.25 * ( utaui_ice(ji+1,jj+1) + utaui_ice(ji,jj+1)   &
-                                     + utaui_ice(ji+1,jj  ) + utaui_ice(ji,jj  ) ) *  fr_i(ji,jj)
-                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)          + un(ji  ,jj-1,1)    ) * zfr_l(ji,jj) & 
-                           + 0.25 * ( vtaui_ice(ji+1,jj+1) + vtaui_ice(ji,jj+1)   &
-                              + vtaui_ice(ji+1,jj  ) + vtaui_ice(ji,jj  ) ) *  fr_i(ji,jj)
+                        &         + 0.25 * ( utaui_ice(ji+1,jj+1) + utaui_ice(ji,jj+1)   &
+                        &                  + utaui_ice(ji+1,jj  ) + utaui_ice(ji,jj  ) ) *  fr_i(ji,jj)
+                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)          + vn(ji  ,jj-1,1)    ) * zfr_l(ji,jj) & 
+                        &         + 0.25 * ( vtaui_ice(ji+1,jj+1) + vtaui_ice(ji,jj+1)   &
+                        &                  + vtaui_ice(ji+1,jj  ) + vtaui_ice(ji,jj  ) ) *  fr_i(ji,jj)
                   END DO
                END DO