Index: /trunk/NEMO/C1D_SRC/diawri_c1d.F90
===================================================================
--- /trunk/NEMO/C1D_SRC/diawri_c1d.F90	(revision 1309)
+++ /trunk/NEMO/C1D_SRC/diawri_c1d.F90	(revision 1310)
@@ -121,5 +121,6 @@
          
          ! Compute julian date from starting date of the run
-         CALL ymds2ju( nyear, nmonth, nday, 0.e0, zjulian )
+         CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )
+         zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
          IF(lwp)WRITE(numout,*)
          IF(lwp)WRITE(numout,*) 'Date 0 used :', nit000, ' YEAR ', nyear,   &
Index: /trunk/NEMO/LIM_SRC_2/limwri_2.F90
===================================================================
--- /trunk/NEMO/LIM_SRC_2/limwri_2.F90	(revision 1309)
+++ /trunk/NEMO/LIM_SRC_2/limwri_2.F90	(revision 1310)
@@ -86,5 +86,5 @@
       INTEGER  ::   ji, jj, jf                      ! dummy loop indices
       CHARACTER(len = 40)  ::   clhstnam, clop
-      REAL(wp) ::   zsto, zsec, zjulian, zout,   &  ! temporary scalars
+      REAL(wp) ::   zsto, zjulian, zout,   &  ! temporary scalars
          &          zindh, zinda, zindb, ztmu
       REAL(wp), DIMENSION(1)                ::   zdept
@@ -102,9 +102,9 @@
          clop     = "ave(x)"
          zout     = nwrite * rdt_ice / nn_fsbc
-         zsec     = 0.
          niter    = 0
          zdept(1) = 0.
          
-         CALL ymds2ju ( nyear, nmonth, nday, zsec, zjulian )
+         CALL ymds2ju ( nyear, nmonth, nday, rdt, zjulian )
+         zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
          CALL dia_nam ( clhstnam, nwrite, 'icemod' )
          CALL histbeg ( clhstnam, jpi, glamt, jpj, gphit,    &
Index: /trunk/NEMO/LIM_SRC_3/limwri.F90
===================================================================
--- /trunk/NEMO/LIM_SRC_3/limwri.F90	(revision 1309)
+++ /trunk/NEMO/LIM_SRC_3/limwri.F90	(revision 1310)
@@ -91,5 +91,5 @@
 
       REAL(wp) :: &
-         zsto, zsec, zjulian,zout, &
+         zsto, zjulian,zout, &
          zindh,zinda,zindb
       REAL(wp), DIMENSION(jpi,jpj,jpnoumax) :: &
@@ -139,9 +139,9 @@
          clop     = "ave(x)"
          zout     = nwrite * rdt_ice / nn_fsbc
-         zsec     = 0.
          niter    = 0
          zdept(1) = 0.
 
-         CALL ymds2ju ( nyear, nmonth, nday, zsec, zjulian )
+         CALL ymds2ju ( nyear, nmonth, nday, rdt, zjulian )
+         zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
          CALL dia_nam ( clhstnam, nwrite, 'icemod' )
          CALL histbeg ( clhstnam, jpi, glamt, jpj, gphit, 1, jpi, 1, jpj, 0, zjulian, rdt_ice, nhorid, nice, domain_id=nidom )
@@ -167,5 +167,4 @@
          clop     = "ave(x)"
          zout     = nwrite * rdt_ice / nn_fsbc
-         zsec     = 0.
          nitera   = 0
          zdept(1) = 0.
Index: /trunk/NEMO/OPA_SRC/DIA/diagap.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DIA/diagap.F90	(revision 1309)
+++ /trunk/NEMO/OPA_SRC/DIA/diagap.F90	(revision 1310)
@@ -161,5 +161,6 @@
          ! Compute julian date from starting date of the run
 
-         CALL ymds2ju( nyear, nmonth, nday, 0.e0, zjulian )
+         CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )
+         zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
 
          CALL dia_nam( clhstnam, ngap, 'diagap' )
Index: /trunk/NEMO/OPA_SRC/DIA/diaptr.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 1309)
+++ /trunk/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 1310)
@@ -487,5 +487,6 @@
          ! Compute julian date from starting date of the run
 
-         CALL ymds2ju( nyear, nmonth, nday, 0.e0, zjulian )
+         CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )
+         zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
 
          CALL dia_nam( clhstnam, nf_ptr, 'diaptr' )
Index: /trunk/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DIA/diawri.F90	(revision 1309)
+++ /trunk/NEMO/OPA_SRC/DIA/diawri.F90	(revision 1310)
@@ -591,5 +591,6 @@
 
       ! Compute julian date from starting date of the run
-      CALL ymds2ju( nyear, nmonth, nday, 0.e0, zjulian )         ! time axis 
+      CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )         ! time axis 
+      zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
       CALL histbeg( clname, jpi, glamt, jpj, gphit,   &
           1, jpi, 1, jpj, 0, zjulian, zdt, nh_i, id_i, domain_id=nidom )          ! Horizontal grid : glamt and gphit
Index: /trunk/NEMO/OPA_SRC/TRD/trdmld.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRD/trdmld.F90	(revision 1309)
+++ /trunk/NEMO/OPA_SRC/TRD/trdmld.F90	(revision 1310)
@@ -844,5 +844,6 @@
       ! II.2 Compute julian date from starting date of the run
       ! ------------------------------------------------------
-      CALL ymds2ju( nyear, nmonth, nday, 0.e0, zjulian )
+      CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )
+      zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
       IF(lwp) WRITE(numout,*)' '  
       IF(lwp) WRITE(numout,*)'                Date 0 used :',nit000,    &
Index: /trunk/NEMO/OPA_SRC/TRD/trdvor.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRD/trdvor.F90	(revision 1309)
+++ /trunk/NEMO/OPA_SRC/TRD/trdvor.F90	(revision 1310)
@@ -552,5 +552,6 @@
       ! II.2 Compute julian date from starting date of the run
       ! ------------------------
-      CALL ymds2ju( nyear, nmonth, nday, 0.e0, zjulian )
+      CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )
+      zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
       IF(lwp) WRITE(numout,*)' '  
       IF(lwp) WRITE(numout,*)'               Date 0 used :',nit000,    &
Index: /trunk/NEMO/TOP_SRC/SED/sedrst.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/SED/sedrst.F90	(revision 1309)
+++ /trunk/NEMO/TOP_SRC/SED/sedrst.F90	(revision 1310)
@@ -194,5 +194,6 @@
          clname = cexper(1:ic)//cln
          itime = 0
-         CALL ymds2ju( nyear, nmonth, nday, 0.0, zdate0 )
+         CALL ymds2ju( nyear, nmonth, nday, rdt, zdate0 )
+         zdate0 = zdate0 - adatrj   !   set calendar origin to the beginning of the experiment
          CALL restini( 'NONE', jpi, jpj, glamt, gphit, jpksed, dz, &
             &         clname, itime, zdate0, dtsed*nstock, numrsw, domain_id=nidom )
Index: /trunk/NEMO/TOP_SRC/SED/sedwri.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/SED/sedwri.F90	(revision 1309)
+++ /trunk/NEMO/TOP_SRC/SED/sedwri.F90	(revision 1310)
@@ -179,5 +179,6 @@
 
          ! Define the NETCDF files        
-         CALL ymds2ju ( nyear, nmonth, nday, 0.0, zjulian )
+         CALL ymds2ju ( nyear, nmonth, nday, rdt, zjulian )
+         zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
          CALL dia_nam ( clhstnam, nwrised, 'sed_T' )
          CALL histbeg ( clhstnam, jpi, glamt, jpj, gphit,     &
Index: /trunk/NEMO/TOP_SRC/TRP/trdmld_trc.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trdmld_trc.F90	(revision 1309)
+++ /trunk/NEMO/TOP_SRC/TRP/trdmld_trc.F90	(revision 1310)
@@ -1411,5 +1411,6 @@
       ! II.2 Compute julian date from starting date of the run
       ! ------------------------------------------------------
-      CALL ymds2ju( nyear, nmonth, nday, 0.e0, zjulian )
+      CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )
+      zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
       IF(lwp) WRITE(numout,*)' '  
       IF(lwp) WRITE(numout,*)' Date 0 used :', nit000                  &
Index: /trunk/NEMO/TOP_SRC/trcdia.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/trcdia.F90	(revision 1309)
+++ /trunk/NEMO/TOP_SRC/trcdia.F90	(revision 1310)
@@ -148,5 +148,6 @@
 
          ! Compute julian date from starting date of the run
-         CALL ymds2ju( nyear, nmonth, nday, 0.0, zjulian )
+         CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )
+         zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
          IF(lwp)WRITE(numout,*)' '  
          IF(lwp)WRITE(numout,*)' Date 0 used :', nittrc000                         &