Index: /trunk/CONFIG/GYRE/scripts/BB_make
===================================================================
--- /trunk/CONFIG/GYRE/scripts/BB_make	(revision 1312)
+++ /trunk/CONFIG/GYRE/scripts/BB_make	(revision 1313)
@@ -11,5 +11,5 @@
 #-Q- platine L_X = $(L_O) 
 #-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) 
-#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
+#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
 #-Q- sx8mercure  L_X = $(L_O)
 #-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) 
Index: /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make
===================================================================
--- /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make	(revision 1312)
+++ /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make	(revision 1313)
@@ -11,5 +11,5 @@
 #-Q- platine L_X = $(L_O) 
 #-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) 
-#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
+#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
 #-Q- sx8mercure  L_X = $(L_O)
 #-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) 
Index: /trunk/CONFIG/ORCA2_LIM/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 1312)
+++ /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 1313)
@@ -11,5 +11,5 @@
 #-Q- platine L_X = $(L_O) 
 #-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) 
-#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
+#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
 #-Q- sx8mercure  L_X = $(L_O)
 #-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) 
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1312)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1313)
@@ -11,5 +11,5 @@
 #-Q- platine L_X = $(L_O) 
 #-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) 
-#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
+#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
 #-Q- sx8mercure  L_X = $(L_O)
 #-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) 
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1312)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1313)
@@ -11,5 +11,5 @@
 #-Q- platine L_X = $(L_O) 
 #-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) 
-#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
+#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
 #-Q- sx8mercure  L_X = $(L_O)
 #-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) 