Index: trunk/NEMO/OFF_SRC/ZDF/zdfmxl.F90
===================================================================
--- trunk/NEMO/OFF_SRC/ZDF/zdfmxl.F90	(revision 1152)
+++ trunk/NEMO/OFF_SRC/ZDF/zdfmxl.F90	(revision 1326)
@@ -44,101 +44,4 @@
 
 CONTAINS
-
-# if defined key_mpp_omp
-   !!----------------------------------------------------------------------
-   !!   'key_mpp_omp'                                   j-k-i loop (j-slab)
-   !!----------------------------------------------------------------------
-
-   SUBROUTINE zdf_mxl( kt )
-      !!----------------------------------------------------------------------
-      !!                    ***  ROUTINE zdfmxl  ***
-      !!                   
-      !! ** Purpose :   Compute the turbocline depth and the mixed layer depth
-      !!      with a density criteria.
-      !!
-      !! ** Method  :   The turbocline depth is the depth at which the vertical 
-      !!      eddy diffusivity coefficient (resulting from the vertical physics
-      !!      alone, not the isopycnal part, see trazdf.F) fall below a given
-      !!      value defined locally (avt_c here taken equal to 5 cm/s2)
-      !!
-      !! ** Action  :
-      !!
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt         ! ocean time-step index
-
-      !! * Local declarations
-      INTEGER ::   ji, jj, jk     ! dummy loop indices
-      INTEGER ::   ik             ! temporary integer
-      INTEGER, DIMENSION(jpi,jpj) ::   &
-         imld                     ! temporary workspace
-      !!----------------------------------------------------------------------
-
-      IF( kt == nit000 ) THEN
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'zdf_mxl : mixed layer depth, j-k-i loops'
-         IF(lwp) WRITE(numout,*) '~~~~~~~'
-      ENDIF
-
-      !                                                ! ===============
-      DO jj = 1, jpj                                   !  Vertical slab
-         !                                             ! ===============
-
-         ! 1. Turbocline depth
-         ! -------------------
-         ! last w-level at which avt<avt_c (starting from the bottom jk=jpk)
-         ! (since avt(.,.,jpk)=0, we have jpk=< imld =< 2 )
-         DO jk = jpk, 2, -1
-            DO ji = 1, jpi
-               IF( avt(ji,jj,jk) < avt_c ) imld(ji,jj) = jk 
-            END DO
-         END DO
-
-         ! Turbocline depth and sub-turbocline temperature
-         DO ji = 1, jpi
-            ik = imld(ji,jj)
-            hmld (ji,jj) = fsdepw(ji,jj,ik) * tmask(ji,jj,1)
-         END DO
-
-!!gm idea
-!!   
-!!gm     DO jk = jpk, 2, -1
-!!gm        DO ji = 1, jpi
-!!gm           IF( avt(ji,jj,jk) < avt_c ) hmld(ji,jj) = fsdepw(ji,jj,jk) * tmask(ji,jj,1)
-!!gm        END DO
-!!gm     END DO
-!!gm
-
-         ! 2. Mixed layer depth
-         ! --------------------
-         ! Initialization to the number of w ocean point mbathy
-         nmln(:,jj) = mbathy(:,jj)
-
-         ! Last w-level at which rhop>=rho surf+rho_c (starting from jpk-1)
-         ! (rhop defined at t-point, thus jk-1 for w-level just above)
-         DO jk = jpkm1, 2, -1
-            DO ji = 1, jpi
-               IF( rhop(ji,jj,jk) > rhop(ji,jj,1) + rho_c )   nmln(ji,jj) = jk
-            END DO
-         END DO
-
-         ! Mixed layer depth
-         DO ji = 1, jpi
-            ik = nmln(ji,jj)
-            hmlp (ji,jj) = fsdepw(ji,jj,ik) * tmask(ji,jj,1)
-            hmlpt(ji,jj) = fsdept(ji,jj,ik-1)
-         END DO
-         !                                             ! ===============
-      END DO                                           !   End of slab
-      !                                                ! ===============
-
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=REAL(nmln,wp), clinfo1=' nmln : ', tab2d_2=hmld, clinfo2=' hmld : ', ovlap=1 )
-
-   END SUBROUTINE zdf_mxl
-
-# else
-   !!----------------------------------------------------------------------
-   !!   Default option :                                         k-j-i loop
-   !!----------------------------------------------------------------------
 
    SUBROUTINE zdf_mxl( kt )
@@ -237,5 +140,4 @@
 
    END SUBROUTINE zdf_mxl
-#endif
 
    !!======================================================================